org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class StoreTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.StoreTest

- Direct Known Subclasses:
    StoreTest.Traversals

      public abstract class StoreTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StoreTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_storeXa_nameX_out_capXaX()`
    `void` | `g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX()`
    `void` | `g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX()`
    `void` | `g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX()`
    `abstract Traversal<Vertex,Collection>` | `get_g_V_storeXaX_byXnameX_out_capXaX()`
    `abstract Traversal<Vertex,Collection>` | `get_g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX_capXaX()`
    `abstract Traversal<Vertex,Collection>` | `get_g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX(Object v1Id)`
    `abstract Traversal<Vertex,Set<String>>` | `get_g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreTest

          public StoreTest()

  - ### Method Detail

    - #### get_g_V_storeXaX_byXnameX_out_capXaX

          public abstract Traversal<Vertex,Collection> get_g_V_storeXaX_byXnameX_out_capXaX()

    - #### get_g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX

          public abstract Traversal<Vertex,Collection> get_g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX(Object v1Id)

    - #### get_g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX

          public abstract Traversal<Vertex,Set<String>> get_g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX()

    - #### get_g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX_capXaX

          public abstract Traversal<Vertex,Collection> get_g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX_capXaX()

    - #### g_V_storeXa_nameX_out_capXaX

          public void g_V_storeXa_nameX_out_capXaX()

    - #### g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX

          public void g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX()

    - #### g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX

          public void g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX()

    - #### g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX

          public void g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.